<?php
/**
 * Copyright (©) 2023 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class CheckoutSubscribe
 * @package Pinpoint\NewsletterSignup\Model\Config\Source
 */
namespace Pinpoint\NewsletterSignup\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class CheckoutSubscribe implements OptionSourceInterface
{
    /**
     * Retrieve options as an array
     * @return array
     */
    public function toOptionArray(): array
    {
        return [
            ['value' => 1, 'label' => __('Checked by default')],
            ['value' => 2, 'label' => __('Not Checked by default')]
        ];
    }
}
