define([
    'jquery',
    'mage/utils/wrapper',
    'Pinpoint_NewsletterSignup/js/model/newsletter-assigner'
], function ($, wrapper, newsletterAssigner) {
    'use strict';

    return function (placeOrderAction) {

        /** Override default place order action and add checkout_newsletter to request */
        return wrapper.wrap(placeOrderAction, function (originalAction, paymentData, messageContainer) {
            newsletterAssigner(paymentData);

            return originalAction(paymentData, messageContainer);
        });
    };
});
