define([
    'jquery',
    'mage/utils/wrapper',
    'Pinpoint_NewsletterSignup/js/model/newsletter-assigner'
], function ($, wrapper, newsletterAssigner) {
    'use strict';

    return function (placeOrderAction) {

        /** Override place-order-mixin for set-payment-information action as they differs only by method signature */
        return wrapper.wrap(placeOrderAction, function (originalAction, messageContainer, paymentData) {
            newsletterAssigner(paymentData);

            return originalAction(messageContainer, paymentData);
        });
    };
});
