# Pinpoint NewsletterSignup

# Overview
## Purpose of module

To Allow Customers to subscribe at checkout before place order button

## Configuration

In order to use this module, user must enable this module under Store->Configuration->Pinpoint->NewsletterSignup Settings
and configure accordingly

## Features
1. User can customise the newsletter message to be displayed on the checkout from the admin
2. User can enable and disable the module from the admin
3. Automatically triggers the newsletter sign up process by ticking the checkbox before the order placement


## Settings 

**Store->Configurations->Pinpoint->NewsletterSignup Settings**

**To Enable Module** : Set Yes to 'Enable'

**Subscribe At Checkout** : To make checkbox checked by default or not

**Subscribe Checkout Label** : To Update default checkout message


### Type 1: Zip file

- Unzip the zip file in `app/code/Pinpoint`
- Enable the module by running `php bin/magento module:enable Pinpoint_NewsletterSignup`
- Apply database updates by running `php bin/magento setup:upgrade`\*
- Flush the cache by running `php bin/magento cache:flush`

### Type 2: Composer

- Install the module composer by running `composer require pinpoint/module-newsletter-signup`
- Enable the module by running `php bin/magento module:enable Pinpoint_NewsletterSignup`
- Apply database updates by running `php bin/magento setup:upgrade`\*
- Flush the cache by running `php bin/magento cache:flush`